# Uses of Interface
org.opensaml.core.config.ConfigurationProperties

Packages that use ConfigurationProperties
Package
Description
org.opensaml.core.config
Interfaces and classes related to library configuration and initialization.
org.opensaml.core.config.provider
Implementation of library configuration and initialization.
org.opensaml.spring.config
Beans for configuration classes.

## Uses of ConfigurationProperties in org.opensaml.core.config

Methods in org.opensaml.core.config that return ConfigurationProperties
Modifier and Type
Method
Description
`static ConfigurationProperties`
ConfigurationService.`getConfigurationProperties()`
Get the set of configuration meta-properties, which determines the configuration of the configuration service itself.
`ConfigurationProperties`
ConfigurationPropertiesSource.`getProperties()`
Get the property set exposed by the source.

## Uses of ConfigurationProperties in org.opensaml.core.config.provider

Classes in org.opensaml.core.config.provider that implement ConfigurationProperties
Modifier and Type
Class
Description
`class`
`EmptyConfigurationProperties`
An implementation of `ConfigurationProperties` that is empty.
`class`
`PropertiesAdapter`
An implementation of `ConfigurationProperties` which wraps an instance of Java `Properties`.
Methods in org.opensaml.core.config.provider that return ConfigurationProperties
Modifier and Type
Method
Description
`ConfigurationProperties`
AbstractFilesystemConfigurationPropertiesSource.`getProperties()`
Get the property set exposed by the source.
`ConfigurationProperties`
ClasspathConfigurationPropertiesSource.`getProperties()`
Get the property set exposed by the source.
`ConfigurationProperties`
SystemPropertyConfigurationPropertiesSource.`getProperties()`
Get the property set exposed by the source.
`ConfigurationProperties`
ThreadLocalConfigurationPropertiesSource.`getProperties()`
Get the property set exposed by the source.

## Uses of ConfigurationProperties in org.opensaml.spring.config

Classes in org.opensaml.spring.config that implement ConfigurationProperties
Modifier and Type
Class
Description
`class`
`SpringPropertiesAdapter`
An implementation of `ConfigurationProperties` which wraps an instance of Spring `PropertyResolver`.
Methods in org.opensaml.spring.config that return ConfigurationProperties
Modifier and Type
Method
Description
`ConfigurationProperties`
SpringConfigurationPropertiesSource.`getProperties()`
Get the property set exposed by the source.